/* General Styles */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Arial', sans-serif;
}

body {
    background-color: #f4f4f4;
    color: #333;
}

.container {
    width: 90%;
    margin: 0 auto;
}

h1,
h2 {
    text-align: center;
    margin-bottom: 20px;
}

/* Navbar */
.navbar {
    background-color: #007BFF;
    padding: 10px 0;
    color: #fff;
    height: 60px;
}

.navbar .container {
    margin-top: 10px;
}

.navbar .logo {
    max-width: 40px;
    float: left;
    margin-top: -10px;
}

.navbar .nav-links {
    list-style-type: none;
    float: right;
}

.navbar .nav-links li {
    display: inline;
    margin: 0 10px;
}

.navbar .nav-links a {
    color: #fff;
    text-decoration: none;
    font-size: 18px;
}

/* Home Section */
#home {
    padding: 60px 0;
    background-color: #fff;
}

.thumbnails-grid {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: center;
}

/* .thumbnails-grid {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
    gap: 20px;
  } */

.thumbnail-item {
    overflow: hidden;
    border-radius: 10px;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    transition: transform 0.3s ease;
    margin: 0 10px 10px 10px;
}

.thumbnail-item img {
    width: 450px;
    display: block;
    border-radius: 10px;
    cursor: pointer;
}

.thumbnail-item:hover {
    transform: scale(1.05);
}

/* Lightbox Styles */
#lightbox {
    display: none;
    position: fixed;
    z-index: 999;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.8);
}

#lightbox .lightbox-img {
    position: absolute;
    top: 50%;
    left: 50%;
    max-width: 90%;
    max-height: 90%;
    transform: translate(-50%, -50%);
    border-radius: 10px;
}

#lightbox .close {
    position: absolute;
    top: 30px;
    right: 50px;
    font-size: 36px;
    color: white;
    cursor: pointer;
}

/* Contact Section */
#contact {
    padding: 60px 0;
    background-color: #007BFF;
    color: #fff;
}

#contact-form {
    max-width: 600px;
    margin: 0 auto;
}

#contact-form input,
#contact-form textarea {
    width: 100%;
    padding: 10px;
    margin-bottom: 10px;
    border: none;
    border-radius: 5px;
}

#contact-form button {
    display: block;
    width: 100%;
    padding: 12px;
    background-color: #fff;
    color: #007BFF;
    border: none;
    font-size: 18px;
    cursor: pointer;
    border-radius: 5px;
}

#contact-form button:hover {
    background-color: #ddd;
}

/* Responsive Adjustments */
@media (max-width: 768px) {
    .navbar .nav-links {
        float: none;
        text-align: center;
        margin-top: 10px;
    }

    .navbar .logo {
        float: none;
        text-align: center;
        margin-bottom: 10px;
    }

    #contact-form button {
        font-size: 16px;
    }

    #lightbox .close {
        right: 20px;
    }
}

@media screen and (max-width: 530px) {
    .thumbnail-item img {
        width: 300px;
    }
}
@media screen and (max-width: 355px) {
    .thumbnail-item img {
        width: 200px;
    }
}


/* Footer */
.footer {
    background-color: #333;
    color: #fff;
    padding: 20px 0;
    position: relative;
    bottom: 0;
    width: 100%;
}

.footer-container {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 90%;
    margin: 0 auto;
}

.footer-logo img {
    max-width: 50px;
    /* Adjust the size of your logo */
    height: auto;
}

.footer-copyright {
    font-size: 14px;
}

/* Responsive design */
@media (max-width: 768px) {
    .footer-container {
        flex-direction: column;
        text-align: center;
    }

    .footer-logo {
        margin-bottom: 10px;
    }
}